﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReservasCanchas.Common.Models
{
    public class Reserva
    {
        [Key]
        public int IdReserva { get; set; }

        public int IdCancha { get; set; }

        public string Descripcion { get; set; }

        [DataType(DataType.DateTime)]
        [DisplayFormat(DataFormatString ="{0:dd/MMM/yyyy hh:mm tt}")]
        public DateTime FechaInicio{ get; set; }

        [DataType(DataType.DateTime)]
        [DisplayFormat(DataFormatString = "{0:dd/MMM/yyyy hh:mm tt}")]
        public DateTime FechaFin { get; set; }

        public virtual Cancha Cancha{ get; set; }

    }
}
